summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-visualization/zhu3d
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-visualization/zhu3d')
-rw-r--r--sci-visualization/zhu3d/Manifest2
-rw-r--r--sci-visualization/zhu3d/files/zhu3d-4.2.4-gold.patch11
-rw-r--r--sci-visualization/zhu3d/metadata.xml16
-rw-r--r--sci-visualization/zhu3d/zhu3d-4.2.4.ebuild77
-rw-r--r--sci-visualization/zhu3d/zhu3d-4.2.6.ebuild78
5 files changed, 184 insertions, 0 deletions
diff --git a/sci-visualization/zhu3d/Manifest b/sci-visualization/zhu3d/Manifest
new file mode 100644
index 00000000000..8f3da37cb17
--- /dev/null
+++ b/sci-visualization/zhu3d/Manifest
@@ -0,0 +1,2 @@
+DIST zhu3d-4.2.4.tar.gz 942827 SHA256 bb40273b69c2b0b3aa295fd4d239cbda68cdc576d728b7ca0de3491e46e7f88f SHA512 7b38fa8da837d0f64ca32face6fe9e1d7d97893c13c3f91bce93c712914dc0ce163137e091423135080c1b1219ebed435ef7dbab3a74edf26c133d7ddb1c6c1e WHIRLPOOL f8ebe1f0e1cab1bd439504c4a2e21599d22d29d606a82503d736407202e8464acbfdddacb4d8b6b11b59eddde7ec38974dcad9b14fcacf480a4994f0dee46c73
+DIST zhu3d-4.2.6.tar.gz 953395 SHA256 59aec1898dd598b4a085f7e83420ff926bbeb73027f29887dcd3495659b529df SHA512 105c68e0bfff7b2dbb71d3ed713033e82a729db7d3d8f6e3de038ced53db0829e0b0b146e6b042d954983af830c6834921be58d72bde90012461047d5d99dfd1 WHIRLPOOL fd28a3a6bf58b1eddf5716f279797ed224cbd16f273992e70d9a93129e923120053e4440103bb3456f7f2bf5b36adf6dc31f9d13ed8214a444101a61c106b5e2
diff --git a/sci-visualization/zhu3d/files/zhu3d-4.2.4-gold.patch b/sci-visualization/zhu3d/files/zhu3d-4.2.4-gold.patch
new file mode 100644
index 00000000000..64a6ad42b3d
--- /dev/null
+++ b/sci-visualization/zhu3d/files/zhu3d-4.2.4-gold.patch
@@ -0,0 +1,11 @@
+--- zhu3d.pro
++++ zhu3d.pro
+@@ -48,7 +48,7 @@
+ CONFIG += release
+ TARGET = zhu3d
+ QT += opengl
+-
++LIBS += -lGLU
+
+ # ============================================================================
+ # Optimisation switches. For both GCC/ICC compilers -O3 is default.
diff --git a/sci-visualization/zhu3d/metadata.xml b/sci-visualization/zhu3d/metadata.xml
new file mode 100644
index 00000000000..07ba1a46b48
--- /dev/null
+++ b/sci-visualization/zhu3d/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-mathematics</herd>
+ <longdescription lang="en">
+ Zhu3D allows you to interactively view and animate mathematical
+ functions, isosurfaces and a further independent parametric system.
+ Numerical solutions of equation systems are found with an adaptive
+ random search. The OpenGL-viewer supports zooming, scaling, rotating
+ and translating as well as filed lightning or surface properties.
+ Special effects are transparency, textures, fog and motion blur.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">zhu3d</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-visualization/zhu3d/zhu3d-4.2.4.ebuild b/sci-visualization/zhu3d/zhu3d-4.2.4.ebuild
new file mode 100644
index 00000000000..aa7a3949f98
--- /dev/null
+++ b/sci-visualization/zhu3d/zhu3d-4.2.4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+LANGS="cs de es fr zh"
+
+inherit eutils qt4-r2
+
+DESCRIPTION="Interactive 3D mathematical function viewer"
+HOMEPAGE="http://sourceforge.net/projects/zhu3d"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="
+ virtual/glu
+ virtual/opengl
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtopengl:4"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-gold.patch" )
+
+src_prepare() {
+ qt4-r2_src_prepare
+
+ local datadir=/usr/share/${PN}
+ sed \
+ -e "s:^SYSDIR=:SYSDIR=${datadir}/system:" \
+ -e "s:^TEXDIR=:TEXDIR=${datadir}/textures:" \
+ -e "s:^WORKDIR=:WORKDIR=${datadir}/work:" \
+ -e "s:^DOCDIR=:DOCDIR=/usr/share/doc/${PF}/html:" \
+ -i ${PN}.pri || die "sed zhu3d.pri failed"
+
+ sed \
+ -e "/# Optimisation/,/# Include/d" \
+ -i zhu3d.pro || die "optimisation sed failed"
+}
+
+src_install() {
+ # not working: emake install INSTALL_ROOT="${D}" || die
+ dobin zhu3d
+
+ dodoc {readme,src/changelog}.txt
+ dohtml doc/*.png doc/${PN}_en.html
+
+ local lang
+ for lang in ${LANGS} ; do
+ if use linguas_${lang} ; then
+
+ insinto /usr/share/${PN}/system/languages
+ doins system/languages/${PN}_${lang}.qm
+
+ if [ -e doc/${PN}_${lang}.html ] ; then
+ dohtml doc/${PN}_${lang}.html
+ fi
+ fi
+ done
+
+ insinto /usr/share/${PN}
+ doins -r work/textures
+
+ insinto /usr/share/${PN}/work
+ doins -r work/*.zhu work/slideshow
+
+ insinto /usr/share/${PN}/system
+ doins -r system/*.zhu system/icons
+
+ doicon system/icons/${PN}.png
+ make_desktop_entry ${PN} "Zhu3D Function Viewer" ${PN} "Education;Science;Math;Qt"
+}
diff --git a/sci-visualization/zhu3d/zhu3d-4.2.6.ebuild b/sci-visualization/zhu3d/zhu3d-4.2.6.ebuild
new file mode 100644
index 00000000000..84708edb289
--- /dev/null
+++ b/sci-visualization/zhu3d/zhu3d-4.2.6.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+LANGS="cs de es fr zh"
+
+inherit eutils qt4-r2
+
+DESCRIPTION="Interactive 3D mathematical function viewer"
+HOMEPAGE="http://sourceforge.net/projects/zhu3d"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="
+ virtual/glu
+ virtual/opengl
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtopengl:4"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-4.2.4-gold.patch )
+
+src_prepare() {
+ qt4-r2_src_prepare
+
+ local datadir=/usr/share/${PN}
+ sed \
+ -e "s:^SYSDIR=:SYSDIR=${datadir}/system:" \
+ -e "s:^TEXDIR=:TEXDIR=${datadir}/textures:" \
+ -e "s:^WORKDIR=:WORKDIR=${datadir}/work:" \
+ -e "s:^DOCDIR=:DOCDIR=/usr/share/doc/${PF}/html:" \
+ -i ${PN}.pri || die "sed zhu3d.pri failed"
+
+ sed \
+ -e "/# Optimisation/,/# Include/d" \
+ -i zhu3d.pro || die "optimisation sed failed"
+}
+
+src_install() {
+ # not working: emake install INSTALL_ROOT="${D}" || die
+ dobin zhu3d
+
+ dodoc {readme,src/changelog}.txt
+ dohtml doc/*.png doc/${PN}_en.html
+
+ local lang
+ for lang in ${LANGS} ; do
+ if use linguas_${lang} ; then
+
+ insinto /usr/share/${PN}/system/languages
+ doins system/languages/${PN}_${lang}.qm
+
+ if [ -e doc/${PN}_${lang}.html ] ; then
+ dohtml doc/${PN}_${lang}.html
+ fi
+ fi
+ done
+
+ insinto /usr/share/${PN}
+ doins -r work/textures
+
+ insinto /usr/share/${PN}/work
+ doins -r work/*.zhu work/slideshow
+
+ insinto /usr/share/${PN}/system
+ doins -r system/*.zhu system/icons
+
+ doicon system/icons/${PN}.png
+ make_desktop_entry ${PN} "Zhu3D Function Viewer" \
+ ${PN} "Education;Science;Math;Qt"
+}